JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const restrictedKeyCreatedView = await client.restrictedKeys.create();
console.log(restrictedKeyCreatedView.id);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
restricted_key_created_view = client.restricted_keys.create()
print(restricted_key_created_view.id)curl --request POST \
--url https://api.runloop.ai/v1/restricted_keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"scopes": [
{}
],
"expires_at_ms": 123
}
'
{
"id": "<string>",
"name": "<string>",
"key_secret": "<string>",
"scopes": [
{}
],
"expires_at_ms": 123
}restricted_keys
Create a restricted API key.
Create a restricted API key with specific resource scopes. Use a standard API key (ak_) or a restricted key (rk_) with RESOURCE_TYPE_ACCOUNT write scope.
POST
/
v1
/
restricted_keys
JavaScript
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const restrictedKeyCreatedView = await client.restrictedKeys.create();
console.log(restrictedKeyCreatedView.id);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
restricted_key_created_view = client.restricted_keys.create()
print(restricted_key_created_view.id)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
⌘I
